Description
We will use MaxMind's free database Geol.ite2.

* Use maxmind go client to read the mmdb file for GeolLite2 database.
* Refer updated pseudocode to returned ip addresses enriched with location detais

Associated revisions

Revision 6837¢236 - 18/05/2024 01:47 PM - Kanchan Barve
refs : #19042 - listUnusuallPs () function added

Revision a508c48a - 23/05/2024 11:41 AM - Kanchan Barve

refs: #19042 - Test cases added for listUnusuallPs() and docker issue resolved

Revision c416b38d - 23/05/2024 01:06 PM - remiges-kanchan

Merge pull request #42 from remiges-kanchan/main

refs : #19042 - listUnusuallPs () function added

History

#1 - 16/05/2024 11:23 AM - Kanchan Barve

- Status changed from New to In Progress

#2 - 17/05/2024 06:48 PM - Kanchan Barve
- % Done changed from 0 to 40

e getListUnusuallPs() function developed.
¢ In progress : instead of error need to set IP address zero.

#3 - 21/05/2024 01:11 PM - Kanchan Barve

- Status changed from In Progress to Testing

#4 - 21/05/2024 06:25 PM - Kanchan Barve
- % Done changed from 40 to 80

e written test cases for getUnusuallP APl and ListUnusuallPs function
¢ In progress : resolving docker issue

#5 - 20/06/2024 01:06 PM - Kanchan Barve
- % Done changed from 80 to 100

- Status changed from Testing to Closed

26/04/2025

1/1



https://dev.maxmind.com/geoip/geolite2-free-geolocation-data
https://github.com/oschwald/geoip2-golang
https://github.com/remiges-tech/logharbour/wiki/Web-service-calls#getunusualips
http://www.tcpdf.org

